# Phishguard # Reports ## Get `PhishGuard` reports **get** `/accounts/{account_id}/email-security/phishguard/reports` Retrieves `PhishGuard` reports showing phishing attempts and suspicious email patterns detected. ### Path Parameters - `account_id: string` Account Identifier ### Query Parameters - `end: optional string` The end of the search date range (RFC3339 format). - `from_date: optional string` - `start: optional string` The beginning of the search date range (RFC3339 format). - `to_date: optional string` ### Returns - `errors: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `result: array of object { id, content, created_at, 7 more }` - `id: number` - `content: string` - `created_at: string` - `disposition: "MALICIOUS" or "MALICIOUS-BEC" or "SUSPICIOUS" or 7 more` - `"MALICIOUS"` - `"MALICIOUS-BEC"` - `"SUSPICIOUS"` - `"SPOOF"` - `"SPAM"` - `"BULK"` - `"ENCRYPTED"` - `"EXTERNAL"` - `"UNKNOWN"` - `"NONE"` - `fields: object { to, ts, from, postfix_id }` - `to: array of string` - `ts: string` - `from: optional string` - `postfix_id: optional string` - `priority: string` - `title: string` - `ts: string` - `updated_at: string` - `tags: optional array of object { category, value }` - `category: string` - `value: string` - `success: boolean` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/phishguard/reports \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": 0, "content": "content", "created_at": "2019-12-27T18:11:19.117Z", "disposition": "MALICIOUS", "fields": { "to": [ "string" ], "ts": "2019-12-27T18:11:19.117Z", "from": "from", "postfix_id": "postfix_id" }, "priority": "priority", "title": "title", "ts": "2019-12-27T18:11:19.117Z", "updated_at": "2019-12-27T18:11:19.117Z", "tags": [ { "category": "category", "value": "value" } ] } ], "success": true } ``` ## Domain Types ### Report List Response - `ReportListResponse = object { id, content, created_at, 7 more }` - `id: number` - `content: string` - `created_at: string` - `disposition: "MALICIOUS" or "MALICIOUS-BEC" or "SUSPICIOUS" or 7 more` - `"MALICIOUS"` - `"MALICIOUS-BEC"` - `"SUSPICIOUS"` - `"SPOOF"` - `"SPAM"` - `"BULK"` - `"ENCRYPTED"` - `"EXTERNAL"` - `"UNKNOWN"` - `"NONE"` - `fields: object { to, ts, from, postfix_id }` - `to: array of string` - `ts: string` - `from: optional string` - `postfix_id: optional string` - `priority: string` - `title: string` - `ts: string` - `updated_at: string` - `tags: optional array of object { category, value }` - `category: string` - `value: string`